package com.vaadin.starter.skeleton;

import com.vaadin.flow.component.button.Button;
import com.vaadin.flow.component.dependency.CssImport;
import com.vaadin.flow.component.notification.Notification;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.component.page.Push;
import com.vaadin.flow.component.page.Viewport;
import com.vaadin.flow.router.Route;
import com.vaadin.flow.server.PWA;
import com.vaadin.flow.shared.ui.Transport;
import com.vaadin.starter.skeleton.smartgrid2.SmartGrid2;

/**
 * The main view contains a button and a click listener.
 */
@Push(transport = Transport.WEBSOCKET_XHR)
@Viewport("width=device-width, minimum-scale=1.0, initial-scale=1.0, user-scalable=yes")
@Route("")
@CssImport("./styles/app.css")
public class MainView extends VerticalLayout {

    public MainView() {
        setHeightFull();
        setWidthFull();
        Button button = new Button("Click me", event -> Notification.show("Clicked!"));
        add(button);

        // Parameters for error occur
        int initialRowCount = 10;
        int updatePeriodSeconds = 1;

        SmartGrid2 smartGrid2 = new SmartGrid2(initialRowCount, updatePeriodSeconds);
        add(smartGrid2);
    }
}


